Zum Hauptinhalt springen
POST
/
cms
/
hubdb
/
2026-03
/
tables
Create a table
curl --request POST \
  --url https://api.hubapi.com/cms/hubdb/2026-03/tables \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "allowChildTables": true,
  "allowPublicApiAccess": true,
  "columns": [
    {
      "id": 123,
      "label": "<string>",
      "name": "<string>",
      "options": [
        {
          "createdAt": "2023-11-07T05:31:56Z",
          "id": "<string>",
          "label": "<string>",
          "name": "<string>",
          "order": 123,
          "type": "<string>",
          "updatedAt": "2023-11-07T05:31:56Z",
          "createdByUserId": 123,
          "updatedByUserId": 123
        }
      ],
      "type": "BOOLEAN",
      "foreignColumnId": 123,
      "foreignTableId": 123,
      "maxNumberOfCharacters": 123,
      "maxNumberOfOptions": 123
    }
  ],
  "dynamicMetaTags": {},
  "enableChildTablePages": true,
  "label": "<string>",
  "name": "<string>",
  "useForPages": true
}
'
{
  "allowChildTables": true,
  "allowPublicApiAccess": true,
  "columnCount": 123,
  "columns": [
    {
      "deleted": true,
      "description": "<string>",
      "id": "<string>",
      "label": "<string>",
      "name": "<string>",
      "type": "BOOLEAN",
      "createdAt": "2023-11-07T05:31:56Z",
      "createdBy": {
        "email": "<string>",
        "firstName": "<string>",
        "id": "<string>",
        "lastName": "<string>"
      },
      "createdByUserId": 123,
      "foreignColumnId": 123,
      "foreignIds": [
        {
          "id": "<string>",
          "name": "<string>",
          "type": "<string>"
        }
      ],
      "foreignIdsById": {},
      "foreignIdsByName": {},
      "foreignTableId": 123,
      "optionCount": 123,
      "options": [
        {
          "createdAt": "2023-11-07T05:31:56Z",
          "id": "<string>",
          "label": "<string>",
          "name": "<string>",
          "order": 123,
          "type": "<string>",
          "updatedAt": "2023-11-07T05:31:56Z",
          "createdBy": {
            "email": "<string>",
            "firstName": "<string>",
            "id": "<string>",
            "lastName": "<string>"
          },
          "createdByUserId": 123,
          "updatedBy": {
            "email": "<string>",
            "firstName": "<string>",
            "id": "<string>",
            "lastName": "<string>"
          },
          "updatedByUserId": 123
        }
      ],
      "updatedAt": "2023-11-07T05:31:56Z",
      "updatedBy": {
        "email": "<string>",
        "firstName": "<string>",
        "id": "<string>",
        "lastName": "<string>"
      },
      "updatedByUserId": 123,
      "width": 123
    }
  ],
  "createdAt": "2023-11-07T05:31:56Z",
  "deleted": true,
  "deletedAt": "2023-11-07T05:31:56Z",
  "dynamicMetaTags": {},
  "enableChildTablePages": true,
  "id": "<string>",
  "label": "<string>",
  "name": "<string>",
  "published": true,
  "publishedAt": "2023-11-07T05:31:56Z",
  "rowCount": 123,
  "updatedAt": "2023-11-07T05:31:56Z",
  "useForPages": true,
  "createdBy": {
    "email": "<string>",
    "firstName": "<string>",
    "id": "<string>",
    "lastName": "<string>"
  },
  "isOrderedManually": true,
  "updatedBy": {
    "email": "<string>",
    "firstName": "<string>",
    "id": "<string>",
    "lastName": "<string>"
  }
}

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
allowChildTables
boolean
erforderlich

Specifies whether child tables can be created

allowPublicApiAccess
boolean
erforderlich

Specifies whether the table can be read by public without authorization

columns
object[]
erforderlich

List of columns in the table

dynamicMetaTags
object
erforderlich

Specifies the key value pairs of the metadata fields with the associated column IDs.

enableChildTablePages
boolean
erforderlich

Specifies creation of multi-level dynamic pages using child tables

label
string
erforderlich

Label of the table

name
string
erforderlich

Name of the table

useForPages
boolean
erforderlich

Specifies whether the table can be used for creation of dynamic pages

Antwort

successful operation

allowChildTables
boolean
erforderlich

Specifies whether child tables can be created

allowPublicApiAccess
boolean
erforderlich

Specifies whether the table can be read by public without authorization

columnCount
integer<int32>
erforderlich

Number of columns including deleted

columns
object[]
erforderlich

List of columns in the table

createdAt
string<date-time>
erforderlich

Timestamp at which the table is created

deleted
boolean
erforderlich

Specifies whether the table is marked as deleted.

deletedAt
string<date-time>
erforderlich

The timestamp indicating when the table was deleted.

dynamicMetaTags
object
erforderlich

Specifies the key value pairs of the metadata fields with the associated column IDs.

enableChildTablePages
boolean
erforderlich

Specifies creation of multi-level dynamic pages using child tables

id
string
erforderlich

Id of the table

label
string
erforderlich

Label of the table

name
string
erforderlich

Name of the table

published
boolean
erforderlich

Indicates whether the table is currently published.

publishedAt
string<date-time>
erforderlich

Timestamp at which the table is published recently

rowCount
integer<int32>
erforderlich

Number of rows in the table

updatedAt
string<date-time>
erforderlich

Timestamp at which the table is updated recently

useForPages
boolean
erforderlich

Specifies whether the table can be used for creation of dynamic pages

createdBy
object
isOrderedManually
boolean

Indicates whether the table rows are ordered manually.

updatedBy
object
Last modified on April 9, 2026